<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Get_a_load_balancer_health_monitor</id>
		<title>Get a load balancer health monitor - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Get_a_load_balancer_health_monitor"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Get_a_load_balancer_health_monitor&amp;action=history"/>
		<updated>2026-05-23T16:38:57Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Get_a_load_balancer_health_monitor&amp;diff=2184&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 109</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Get_a_load_balancer_health_monitor&amp;diff=2184&amp;oldid=prev"/>
				<updated>2015-07-24T18:13:14Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 109&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 18:13, 24 July 2015&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Get_a_load_balancer_health_monitor&amp;diff=2183&amp;oldid=prev</id>
		<title>Donghyun.kim: /* Response Body */</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Get_a_load_balancer_health_monitor&amp;diff=2183&amp;oldid=prev"/>
				<updated>2015-02-04T22:46:18Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;span class=&quot;autocomment&quot;&gt;Response Body&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= '''GET''' /accounts/''{accountId}''/loadbalancers/''{lbId}''/nodePools/''{nodePoolId}''/healthMonitor=&lt;br /&gt;
This operation lists the details for the specified health monitor&lt;br /&gt;
&lt;br /&gt;
== Request == &lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/''{accountId}''/loadbalancers/''{lbId}''/nodePools/''{nodePoolId}''/healthMonitor&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Request Parameters ===&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: The selected account id.&lt;br /&gt;
&lt;br /&gt;
; lbId - ''string''&lt;br /&gt;
: The selected loadbalancer id.&lt;br /&gt;
&lt;br /&gt;
; nodePoolId - ''string''&lt;br /&gt;
: The selected node pool id.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Response Codes ===&lt;br /&gt;
; 200 OK''&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized''&lt;br /&gt;
: This server could not verify that you are authorized to access the document you requested.  Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
:The resource does not exist.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
&amp;lt;pre&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
    &amp;quot;protocol&amp;quot;: &amp;quot;{protocol}&amp;quot;,&lt;br /&gt;
    &amp;quot;interval&amp;quot;: {interval},&lt;br /&gt;
    &amp;quot;port&amp;quot;: {port},&lt;br /&gt;
    &amp;quot;attemptsBeforeActivation&amp;quot;: {count},&lt;br /&gt;
    &amp;quot;attemptsBeforeDeactivation&amp;quot;: {count},&lt;br /&gt;
    &amp;quot;uri&amp;quot;: &amp;quot;{uri}&amp;quot;,&lt;br /&gt;
    &amp;quot;links&amp;quot;: [{&amp;quot;href&amp;quot;: &amp;quot;http://{api-server}/accounts/{accountId}/loadbalancers/{lbId}/nodePools/{nodePoolId}/healthMonitor&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}]&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; protocol - ''string''&lt;br /&gt;
: The protocol to be used by health monitor&lt;br /&gt;
: Allowed values are '''TCP''' or '''HTTP'''&lt;br /&gt;
&lt;br /&gt;
; interval - ''integer''&lt;br /&gt;
: The number of seconds between subsequent health monitor check messages&lt;br /&gt;
&lt;br /&gt;
; port - ''integer''&lt;br /&gt;
: The port for health monitor to monitor&lt;br /&gt;
&lt;br /&gt;
; attemptsBeforeActivation - ''integer''&lt;br /&gt;
: The number of successful health monitor checks allowed before this load balancer is activated&lt;br /&gt;
&lt;br /&gt;
; attemptsBeforeDeactivation - ''integer''&lt;br /&gt;
: The number of failed health monitor checks allowed before this load balancer is deactivated&lt;br /&gt;
&lt;br /&gt;
; uri - ''string''&lt;br /&gt;
: Optional, http path for monitor, needed only if the protocol is HTTP&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource. Links to self.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Successfully list details for specified load balancer healthmonitor ===&lt;br /&gt;
&lt;br /&gt;
'''Request'''&lt;br /&gt;
&amp;lt;pre&amp;gt;&lt;br /&gt;
GET /accounts/{accountId}/loadbalancers/{lbId}/nodePools/{nodePoolId}/healthMonitor&lt;br /&gt;
Content-Type:application/json&lt;br /&gt;
Charset=UTF-8&lt;br /&gt;
Authorization: Basic {Base64-encoded username &amp;amp; password string}&lt;br /&gt;
&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
&amp;lt;pre&amp;gt;&lt;br /&gt;
HTTP/1.1 200 OK&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;protocol&amp;quot;: &amp;quot;HTTP&amp;quot;,&lt;br /&gt;
    &amp;quot;interval&amp;quot;: 60,&lt;br /&gt;
    &amp;quot;port&amp;quot;: 80,&lt;br /&gt;
    &amp;quot;attemptsBeforeActivation&amp;quot;: 5,&lt;br /&gt;
    &amp;quot;attemptsBeforeDeactivation&amp;quot;: 3,&lt;br /&gt;
    &amp;quot;uri&amp;quot;: &amp;quot;/check.php&amp;quot;,&lt;br /&gt;
    &amp;quot;links&amp;quot; : [{&amp;quot;href&amp;quot; : &amp;quot;http://{api-server}/accounts/{accountId}/loadbalancers/{lbId}/nodePools/{nodePoolId}/healthMonitor&amp;quot;, &amp;quot;rel&amp;quot; : &amp;quot;self&amp;quot;}]&lt;br /&gt;
&lt;br /&gt;
 }&lt;br /&gt;
&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Load Balancer API]]&lt;/div&gt;</summary>
		<author><name>Donghyun.kim</name></author>	</entry>

	</feed>